// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/sip/dns/dns.proto

package dns

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type RecordOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ttl                uint32 `protobuf:"varint,1,opt,name=ttl,proto3" json:"ttl,omitempty"`                                                         // optional, default 600s
	IsgGroup           string `protobuf:"bytes,2,opt,name=isg_group,json=isgGroup,proto3" json:"isg_group,omitempty"`                                // optional, default configured in dnsapi.properties
	ExternallyViewable bool   `protobuf:"varint,3,opt,name=externally_viewable,json=externallyViewable,proto3" json:"externally_viewable,omitempty"` // optional, default false
}

func (x *RecordOptions) Reset() {
	*x = RecordOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RecordOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RecordOptions) ProtoMessage() {}

func (x *RecordOptions) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RecordOptions.ProtoReflect.Descriptor instead.
func (*RecordOptions) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{0}
}

func (x *RecordOptions) GetTtl() uint32 {
	if x != nil {
		return x.Ttl
	}
	return 0
}

func (x *RecordOptions) GetIsgGroup() string {
	if x != nil {
		return x.IsgGroup
	}
	return ""
}

func (x *RecordOptions) GetExternallyViewable() bool {
	if x != nil {
		return x.ExternallyViewable
	}
	return false
}

type CreateARecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ip      string         `protobuf:"bytes,1,opt,name=ip,proto3" json:"ip,omitempty"`            // required
	Domain  string         `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`    // required
	Options *RecordOptions `protobuf:"bytes,10,opt,name=options,proto3" json:"options,omitempty"` // optional
}

func (x *CreateARecordRequest) Reset() {
	*x = CreateARecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateARecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateARecordRequest) ProtoMessage() {}

func (x *CreateARecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateARecordRequest.ProtoReflect.Descriptor instead.
func (*CreateARecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{1}
}

func (x *CreateARecordRequest) GetIp() string {
	if x != nil {
		return x.Ip
	}
	return ""
}

func (x *CreateARecordRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

func (x *CreateARecordRequest) GetOptions() *RecordOptions {
	if x != nil {
		return x.Options
	}
	return nil
}

type DeleteARecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Ip       string `protobuf:"bytes,1,opt,name=ip,proto3" json:"ip,omitempty"`             // required
	Hostname string `protobuf:"bytes,2,opt,name=hostname,proto3" json:"hostname,omitempty"` // required
}

func (x *DeleteARecordRequest) Reset() {
	*x = DeleteARecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteARecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteARecordRequest) ProtoMessage() {}

func (x *DeleteARecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteARecordRequest.ProtoReflect.Descriptor instead.
func (*DeleteARecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{2}
}

func (x *DeleteARecordRequest) GetIp() string {
	if x != nil {
		return x.Ip
	}
	return ""
}

func (x *DeleteARecordRequest) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

type CreateCNameRecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Hostname string         `protobuf:"bytes,1,opt,name=hostname,proto3" json:"hostname,omitempty"` // required
	Domain   string         `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`     // required
	Options  *RecordOptions `protobuf:"bytes,10,opt,name=options,proto3" json:"options,omitempty"`  // optional
}

func (x *CreateCNameRecordRequest) Reset() {
	*x = CreateCNameRecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateCNameRecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateCNameRecordRequest) ProtoMessage() {}

func (x *CreateCNameRecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateCNameRecordRequest.ProtoReflect.Descriptor instead.
func (*CreateCNameRecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{3}
}

func (x *CreateCNameRecordRequest) GetHostname() string {
	if x != nil {
		return x.Hostname
	}
	return ""
}

func (x *CreateCNameRecordRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

func (x *CreateCNameRecordRequest) GetOptions() *RecordOptions {
	if x != nil {
		return x.Options
	}
	return nil
}

type DeleteCNameRecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Alias string `protobuf:"bytes,1,opt,name=alias,proto3" json:"alias,omitempty"` // required
}

func (x *DeleteCNameRecordRequest) Reset() {
	*x = DeleteCNameRecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteCNameRecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteCNameRecordRequest) ProtoMessage() {}

func (x *DeleteCNameRecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteCNameRecordRequest.ProtoReflect.Descriptor instead.
func (*DeleteCNameRecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteCNameRecordRequest) GetAlias() string {
	if x != nil {
		return x.Alias
	}
	return ""
}

type CreateTxtRecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value   string         `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`      // required
	Domain  string         `protobuf:"bytes,2,opt,name=domain,proto3" json:"domain,omitempty"`    // required
	Options *RecordOptions `protobuf:"bytes,10,opt,name=options,proto3" json:"options,omitempty"` // optional
}

func (x *CreateTxtRecordRequest) Reset() {
	*x = CreateTxtRecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateTxtRecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateTxtRecordRequest) ProtoMessage() {}

func (x *CreateTxtRecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateTxtRecordRequest.ProtoReflect.Descriptor instead.
func (*CreateTxtRecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{5}
}

func (x *CreateTxtRecordRequest) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *CreateTxtRecordRequest) GetDomain() string {
	if x != nil {
		return x.Domain
	}
	return ""
}

func (x *CreateTxtRecordRequest) GetOptions() *RecordOptions {
	if x != nil {
		return x.Options
	}
	return nil
}

type SearchTxtRecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	FqName string `protobuf:"bytes,1,opt,name=fq_name,json=fqName,proto3" json:"fq_name,omitempty"` // required
}

func (x *SearchTxtRecordRequest) Reset() {
	*x = SearchTxtRecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchTxtRecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchTxtRecordRequest) ProtoMessage() {}

func (x *SearchTxtRecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchTxtRecordRequest.ProtoReflect.Descriptor instead.
func (*SearchTxtRecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{6}
}

func (x *SearchTxtRecordRequest) GetFqName() string {
	if x != nil {
		return x.FqName
	}
	return ""
}

type DeleteTxtRecordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value  string `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`                 // required
	FqName string `protobuf:"bytes,2,opt,name=fq_name,json=fqName,proto3" json:"fq_name,omitempty"` // required
}

func (x *DeleteTxtRecordRequest) Reset() {
	*x = DeleteTxtRecordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteTxtRecordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteTxtRecordRequest) ProtoMessage() {}

func (x *DeleteTxtRecordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteTxtRecordRequest.ProtoReflect.Descriptor instead.
func (*DeleteTxtRecordRequest) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{7}
}

func (x *DeleteTxtRecordRequest) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *DeleteTxtRecordRequest) GetFqName() string {
	if x != nil {
		return x.FqName
	}
	return ""
}

type EmptyResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EmptyResponse) Reset() {
	*x = EmptyResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmptyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmptyResponse) ProtoMessage() {}

func (x *EmptyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmptyResponse.ProtoReflect.Descriptor instead.
func (*EmptyResponse) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{8}
}

type TxtResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Value   string         `protobuf:"bytes,1,opt,name=value,proto3" json:"value,omitempty"`                 // always set
	FqName  string         `protobuf:"bytes,2,opt,name=fq_name,json=fqName,proto3" json:"fq_name,omitempty"` // always set
	Options *RecordOptions `protobuf:"bytes,3,opt,name=options,proto3" json:"options,omitempty"`             // always set, isgGroup is not returned
}

func (x *TxtResponse) Reset() {
	*x = TxtResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_sip_dns_dns_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TxtResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TxtResponse) ProtoMessage() {}

func (x *TxtResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_sip_dns_dns_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TxtResponse.ProtoReflect.Descriptor instead.
func (*TxtResponse) Descriptor() ([]byte, []int) {
	return file_vseth_sip_dns_dns_proto_rawDescGZIP(), []int{9}
}

func (x *TxtResponse) GetValue() string {
	if x != nil {
		return x.Value
	}
	return ""
}

func (x *TxtResponse) GetFqName() string {
	if x != nil {
		return x.FqName
	}
	return ""
}

func (x *TxtResponse) GetOptions() *RecordOptions {
	if x != nil {
		return x.Options
	}
	return nil
}

var File_vseth_sip_dns_dns_proto protoreflect.FileDescriptor

var file_vseth_sip_dns_dns_proto_rawDesc = []byte{
	0x0a, 0x17, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x64, 0x6e, 0x73, 0x2f,
	0x64, 0x6e, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x22, 0x6f, 0x0a, 0x0d, 0x52, 0x65, 0x63, 0x6f,
	0x72, 0x64, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x10, 0x0a, 0x03, 0x74, 0x74, 0x6c,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x03, 0x74, 0x74, 0x6c, 0x12, 0x1b, 0x0a, 0x09, 0x69,
	0x73, 0x67, 0x5f, 0x67, 0x72, 0x6f, 0x75, 0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08,
	0x69, 0x73, 0x67, 0x47, 0x72, 0x6f, 0x75, 0x70, 0x12, 0x2f, 0x0a, 0x13, 0x65, 0x78, 0x74, 0x65,
	0x72, 0x6e, 0x61, 0x6c, 0x6c, 0x79, 0x5f, 0x76, 0x69, 0x65, 0x77, 0x61, 0x62, 0x6c, 0x65, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x12, 0x65, 0x78, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x6c,
	0x79, 0x56, 0x69, 0x65, 0x77, 0x61, 0x62, 0x6c, 0x65, 0x22, 0x76, 0x0a, 0x14, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x70, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69,
	0x70, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12, 0x36, 0x0a, 0x07, 0x6f, 0x70, 0x74,
	0x69, 0x6f, 0x6e, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65,
	0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x22, 0x42, 0x0a, 0x14, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f,
	0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x70, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x70, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x73,
	0x74, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x68, 0x6f, 0x73,
	0x74, 0x6e, 0x61, 0x6d, 0x65, 0x22, 0x86, 0x01, 0x0a, 0x18, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x43, 0x4e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x1a, 0x0a, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x68, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x16,
	0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06,
	0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12, 0x36, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e,
	0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x4f, 0x70,
	0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x22, 0x30,
	0x0a, 0x18, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x43, 0x4e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x6c,
	0x69, 0x61, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x61, 0x6c, 0x69, 0x61, 0x73,
	0x22, 0x7e, 0x0a, 0x16, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x12, 0x16, 0x0a, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x06, 0x64, 0x6f, 0x6d, 0x61, 0x69, 0x6e, 0x12, 0x36, 0x0a, 0x07, 0x6f, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x07, 0x6f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73,
	0x22, 0x31, 0x0a, 0x16, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x71,
	0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x71, 0x4e,
	0x61, 0x6d, 0x65, 0x22, 0x47, 0x0a, 0x16, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x54, 0x78, 0x74,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x14, 0x0a,
	0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61,
	0x6c, 0x75, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x71, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x71, 0x4e, 0x61, 0x6d, 0x65, 0x22, 0x0f, 0x0a, 0x0d,
	0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x74, 0x0a,
	0x0b, 0x54, 0x78, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05,
	0x76, 0x61, 0x6c, 0x75, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c,
	0x75, 0x65, 0x12, 0x17, 0x0a, 0x07, 0x66, 0x71, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x66, 0x71, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x36, 0x0a, 0x07, 0x6f,
	0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x52, 0x07, 0x6f, 0x70, 0x74, 0x69,
	0x6f, 0x6e, 0x73, 0x32, 0xeb, 0x04, 0x0a, 0x03, 0x44, 0x6e, 0x73, 0x12, 0x52, 0x0a, 0x0d, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x23, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x43, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e,
	0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x52, 0x0a, 0x0d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x12, 0x23, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73,
	0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x41, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x5a, 0x0a, 0x11, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43, 0x4e, 0x61,
	0x6d, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x43,
	0x4e, 0x61, 0x6d, 0x65, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e,
	0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x5a, 0x0a, 0x11, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x43, 0x4e, 0x61, 0x6d, 0x65, 0x52, 0x65,
	0x63, 0x6f, 0x72, 0x64, 0x12, 0x27, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70,
	0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x43, 0x4e, 0x61, 0x6d, 0x65,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x56, 0x0a, 0x0f, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x25,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x54, 0x0a, 0x0f, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x78, 0x74,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73,
	0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x54, 0x78, 0x74,
	0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1a, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x54, 0x78,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x56, 0x0a, 0x0f, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x12, 0x25, 0x2e, 0x76,
	0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e, 0x64, 0x6e, 0x73, 0x2e, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x54, 0x78, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69, 0x70, 0x2e,
	0x64, 0x6e, 0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x42, 0x5c, 0x0a, 0x10, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x73, 0x69,
	0x70, 0x2e, 0x64, 0x6e, 0x73, 0x50, 0x01, 0x5a, 0x46, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34,
	0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e,
	0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x73, 0x69, 0x70, 0x2f, 0x64, 0x6e, 0x73, 0x62,
	0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vseth_sip_dns_dns_proto_rawDescOnce sync.Once
	file_vseth_sip_dns_dns_proto_rawDescData = file_vseth_sip_dns_dns_proto_rawDesc
)

func file_vseth_sip_dns_dns_proto_rawDescGZIP() []byte {
	file_vseth_sip_dns_dns_proto_rawDescOnce.Do(func() {
		file_vseth_sip_dns_dns_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_sip_dns_dns_proto_rawDescData)
	})
	return file_vseth_sip_dns_dns_proto_rawDescData
}

var file_vseth_sip_dns_dns_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_vseth_sip_dns_dns_proto_goTypes = []interface{}{
	(*RecordOptions)(nil),            // 0: vseth.sip.dns.RecordOptions
	(*CreateARecordRequest)(nil),     // 1: vseth.sip.dns.CreateARecordRequest
	(*DeleteARecordRequest)(nil),     // 2: vseth.sip.dns.DeleteARecordRequest
	(*CreateCNameRecordRequest)(nil), // 3: vseth.sip.dns.CreateCNameRecordRequest
	(*DeleteCNameRecordRequest)(nil), // 4: vseth.sip.dns.DeleteCNameRecordRequest
	(*CreateTxtRecordRequest)(nil),   // 5: vseth.sip.dns.CreateTxtRecordRequest
	(*SearchTxtRecordRequest)(nil),   // 6: vseth.sip.dns.SearchTxtRecordRequest
	(*DeleteTxtRecordRequest)(nil),   // 7: vseth.sip.dns.DeleteTxtRecordRequest
	(*EmptyResponse)(nil),            // 8: vseth.sip.dns.EmptyResponse
	(*TxtResponse)(nil),              // 9: vseth.sip.dns.TxtResponse
}
var file_vseth_sip_dns_dns_proto_depIdxs = []int32{
	0,  // 0: vseth.sip.dns.CreateARecordRequest.options:type_name -> vseth.sip.dns.RecordOptions
	0,  // 1: vseth.sip.dns.CreateCNameRecordRequest.options:type_name -> vseth.sip.dns.RecordOptions
	0,  // 2: vseth.sip.dns.CreateTxtRecordRequest.options:type_name -> vseth.sip.dns.RecordOptions
	0,  // 3: vseth.sip.dns.TxtResponse.options:type_name -> vseth.sip.dns.RecordOptions
	1,  // 4: vseth.sip.dns.Dns.CreateARecord:input_type -> vseth.sip.dns.CreateARecordRequest
	2,  // 5: vseth.sip.dns.Dns.DeleteARecord:input_type -> vseth.sip.dns.DeleteARecordRequest
	3,  // 6: vseth.sip.dns.Dns.CreateCNameRecord:input_type -> vseth.sip.dns.CreateCNameRecordRequest
	4,  // 7: vseth.sip.dns.Dns.DeleteCNameRecord:input_type -> vseth.sip.dns.DeleteCNameRecordRequest
	5,  // 8: vseth.sip.dns.Dns.CreateTxtRecord:input_type -> vseth.sip.dns.CreateTxtRecordRequest
	6,  // 9: vseth.sip.dns.Dns.SearchTxtRecord:input_type -> vseth.sip.dns.SearchTxtRecordRequest
	7,  // 10: vseth.sip.dns.Dns.DeleteTxtRecord:input_type -> vseth.sip.dns.DeleteTxtRecordRequest
	8,  // 11: vseth.sip.dns.Dns.CreateARecord:output_type -> vseth.sip.dns.EmptyResponse
	8,  // 12: vseth.sip.dns.Dns.DeleteARecord:output_type -> vseth.sip.dns.EmptyResponse
	8,  // 13: vseth.sip.dns.Dns.CreateCNameRecord:output_type -> vseth.sip.dns.EmptyResponse
	8,  // 14: vseth.sip.dns.Dns.DeleteCNameRecord:output_type -> vseth.sip.dns.EmptyResponse
	8,  // 15: vseth.sip.dns.Dns.CreateTxtRecord:output_type -> vseth.sip.dns.EmptyResponse
	9,  // 16: vseth.sip.dns.Dns.SearchTxtRecord:output_type -> vseth.sip.dns.TxtResponse
	8,  // 17: vseth.sip.dns.Dns.DeleteTxtRecord:output_type -> vseth.sip.dns.EmptyResponse
	11, // [11:18] is the sub-list for method output_type
	4,  // [4:11] is the sub-list for method input_type
	4,  // [4:4] is the sub-list for extension type_name
	4,  // [4:4] is the sub-list for extension extendee
	0,  // [0:4] is the sub-list for field type_name
}

func init() { file_vseth_sip_dns_dns_proto_init() }
func file_vseth_sip_dns_dns_proto_init() {
	if File_vseth_sip_dns_dns_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_sip_dns_dns_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RecordOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateARecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteARecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateCNameRecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteCNameRecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateTxtRecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SearchTxtRecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteTxtRecordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmptyResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_sip_dns_dns_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TxtResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_sip_dns_dns_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_sip_dns_dns_proto_goTypes,
		DependencyIndexes: file_vseth_sip_dns_dns_proto_depIdxs,
		MessageInfos:      file_vseth_sip_dns_dns_proto_msgTypes,
	}.Build()
	File_vseth_sip_dns_dns_proto = out.File
	file_vseth_sip_dns_dns_proto_rawDesc = nil
	file_vseth_sip_dns_dns_proto_goTypes = nil
	file_vseth_sip_dns_dns_proto_depIdxs = nil
}
